<template>
	<view>
		<view class="tips" v-if="item.isAuthentication === 1">
			<text class="icon">&#xe600;</text>
			<text>实名认证成功</text>
		</view>
		<view class="tips" v-else>
			<text class="icon">&#xe634;</text>
			<text>为保障资金安全，用户需进行实名认证，请务必认真填写</text>
		</view>
		<view class="main">
			<view class="form">
				<view class="form_group">
					<view class="lable re">姓名</view>
					<input type="text" placeholder="请输入姓名" v-model="item.name" :disabled="item.isAuthentication === 1" />
				</view>
				<view class="form_group">
					<view class="lable re">身份证</view>
					<input type="text" placeholder="请输入姓名" v-model="item.idCard" :disabled="item.isAuthentication === 1" />
				</view>
			</view>
			<u-divider text="本人二代身份证"></u-divider>
			<view class="r">
				<view class="r50">
					<card v-model="item.p1" text="点击拍摄/上传人像面" icon="&#xe690;" :read="item.isAuthentication === 1"></card>
				</view>
				<view class="r50">
					<card v-model="item.p2" text="点击拍摄/上传国徽面" icon="&#xe61f;" :read="item.isAuthentication === 1"></card>
				</view>
			</view>
			<button class="btn" @click="save()" v-if="item.isAuthentication != 1">确定</button>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			item: {}
		};
	},
	onLoad() {
		this.getData();
	},
	methods: {
		getData() {
			this.http.request({
				url: '/app/user/info',
				data: this.item,
				success: (res) => {
					this.item = res.data.data;
				}
			});
		},
		save() {
			let rule = [
				{ name: 'name', checkType: 'notnull', errorMsg: '请输入姓名' },
				{ name: 'idCard', checkType: 'notnull', errorMsg: '请输入身份证' },
				{ name: 'p1', checkType: 'notnull', errorMsg: '请上传身份证人面像' },
				{ name: 'p2', checkType: 'notnull', errorMsg: '请上传身份证人徽面' }
			];
			if (!this.verify.check(this.item, rule)) {
				uni.showModal({ content: this.verify.error, showCancel: false });
				return false;
			}
			this.http.request({
				url: '/app/user/authentication',
				data: this.item,
				method: 'POST',
				success: (res) => {
					uni.showModal({
						title: '提示',
						content: '提交成功，等待后台审核。',
						showCancel: false,
						success: (res) => {
							uni.navigateBack();
						}
					});
				}
			});
		}
	}
};
</script>

<style lang="scss">
.btn {
	margin-top: 30px;
}
</style>
